import React from "react";
import { shallow } from "enzyme";
import { MapGLResources } from "@hackoregon/component-library";
import BaseMap from "./BaseMap";
import ScatterPlotMap from "../ScatterPlotMap/ScatterPlotMap";
var MAPBOX_TOKEN = MapGLResources.MAPBOX_TOKEN;
describe.skip("BaseMap", function () {
  var defaultProps = {};
  it("should render a MapGL component", function () {
    var wrapper = shallow(React.createElement(BaseMap, defaultProps));
    expect(wrapper.find(".MapGL")).to.have.length(1);
  });
  it("should include required prop mapboxApiAccessToken", function () {
    var wrapper = shallow(React.createElement(BaseMap, defaultProps));
    expect(wrapper.find(".MapGL").prop("mapboxApiAccessToken")).to.eql(MAPBOX_TOKEN);
  });
  it("should render child NavigationControl component", function () {
    var wrapper = shallow(React.createElement(BaseMap, defaultProps));
    expect(wrapper.find(".MapGL").children()).to.have.length(1);
  });
  it("should render child deck.gl layer component", function () {
    var data = [{
      geometry: {
        type: "Point",
        coordinates: [0, 0]
      }
    }];
    var wrapper = shallow(React.createElement(BaseMap, defaultProps, React.createElement(ScatterPlotMap, {
      data: data
    })));
    expect(wrapper.find(".MapGL").children()).to.have.length(2);
  });
});